use super::DockerCommand;
use anyhow::Result;

// simple commands
pub fn build() -> Result<()> {
    DockerCommand::docker_compose().args("build").spawn_wait()
}

pub fn down() -> Result<()> {
    DockerCommand::docker_compose().args("down").spawn_wait()
}

pub fn start() -> Result<()> {
    DockerCommand::docker_compose().args("start").spawn_wait()
}

pub fn stop() -> Result<()> {
    DockerCommand::docker_compose().args("stop").spawn_wait()
}

pub fn up() -> Result<()> {
    DockerCommand::docker_compose().args("up -d").spawn_wait()
}

// shortcuts
pub fn rebuild() -> Result<()> {
    stop()?;
    build()?;
    start()
}

pub fn restart() -> Result<()> {
    stop()?;
    start()
}
